*
* NAME: SEEVER.PRG
*
* TYPE: 32-bit Visual FoxPro
*
* DATE: March 27, 2002
*
* PURPOSE: This program displays the SEE version and registration.
*
* NOTE: It is highly recommended that INCLUDE statements be replaced by their contents.
*

&& Next Statement from Keycode.Fox
&& May need to change when using registered version

#define SEE_KEY_CODE 1434852104

***  SEE32CON.FOX
***
***  DEFINE's for Visual FoxPro 3.0 and above
***
***  For SMTP/POP3 Email Engine (SEE) Version 3.5
***

#define SEE_MIN_RESPONSE_WAIT    1
#define SEE_MAX_RESPONSE_WAIT    2
#define SEE_CONNECT_WAIT         3
#define SEE_DISABLE_MIME         4
#define SEE_QUOTED_PRINTABLE     8
#define SEE_AUTO_CALL_DRIVER     9
#define SEE_FILE_PREFIX         10
#define SEE_SLEEP_TIME          13
#define SEE_DECODE_UNNAMED      14
#define SEE_SMTP_PORT           15
#define SEE_POP3_PORT           16
#define SEE_MAX_LINE_LENGTH     17
#define SEE_BLOCKING_MODE       18
#define SEE_ALLOW_8BITS         19
#define SEE_LOG_FILE            20
#define SEE_HIDE_SAVED_MSG      21
#define SEE_HIDE_TO_ADDR        22
#define SEE_ADDRESS_DELIMITER   23
#define SEE_WSACLEANUP          24
#define SEE_PATH_DELIMITER      25
#define SEE_ATTACH_DELIMITER    26
#define SEE_ENABLE_IMAGE        27
#define SEE_RAW_MODE            28
#define SEE_ENABLE_ESMTP        29
#define SEE_ENABLE_APOP         30
#define SEE_ATTACH_BASE_NUMBER  31
#define SEE_IGNORE_REJECTED     32

#define SEE_GET_ERROR_TEXT       1
#define SEE_GET_COUNTER          2
#define SEE_GET_RESPONSE         3
#define SEE_GET_SOCK_ERROR       4

#define SEE_GET_MESSAGE_BYTES_READ  10
#define SEE_GET_ATTACH_BYTES_READ   11
#define SEE_GET_TOTAL_BYTES_READ    12
#define SEE_GET_MESSAGE_BYTES_SENT  13
#define SEE_GET_ATTACH_BYTES_SENT   14
#define SEE_GET_TOTAL_BYTES_SENT    15
#define SEE_GET_VERSION             16
#define SEE_GET_MSG_COUNT           17
#define SEE_GET_MSG_SIZE            18
#define SEE_GET_BUFFER_COUNT        19
#define SEE_GET_CONNECT_STATUS      20
#define SEE_GET_REGISTRATION        21
#define SEE_GET_ATTACH_COUNT        22
#define SEE_GET_LAST_RESPONSE       23
#define SEE_GET_VERIFY_STATUS       24
#define SEE_GET_SERVER_IP           25
#define SEE_GET_BUILD               26
#define SEE_GET_SOCKET              27
#define SEE_GET_LOCAL_IP            28
#define SEE_GET_ATTACH_NAMES        29
#define SEE_GET_LAST_RECIPIENT      30

#define SEE_COPY_BUFFER             40
#define SEE_WRITE_BUFFER            41

#define SEE_SET_REPLY               50
#define SEE_SET_HEADER              51
#define SEE_WRITE_TO_LOG            52
#define SEE_SET_FROM                53
#define SEE_SET_CONTENT_TYPE        54
#define SEE_SET_TRANSFER_ENCODING   55
#define SEE_ADD_HEADER              56
#define SEE_SET_SECRET              57
#define SEE_SET_USER                58
#define SEE_SET_TEXT_MESSAGE        59
#define SEE_FORCE_INLINE            60
#define SEE_SET_ATTACH_CONTENT_TYPE 61

#define QUOTED_OFF   0
#define QUOTED_PLAIN 1
#define QUOTED_HTML  2
#define QUOTED_RICH  3
#define QUOTED_8859  4
#define QUOTED_USER  9


*** partial list of SEE functions follows ***

DECLARE INTEGER seeAttach in SEE32.DLL INTEGER NbrChans, INTEGER KeyCode
DECLARE INTEGER seeErrorText in SEE32.DLL INTEGER Chan, INTEGER Code, STRING @Buffer, INTEGER BufLen
DECLARE INTEGER seeRelease in SEE32.DLL
DECLARE INTEGER seeStatistics in SEE32.DLL INTEGER Chan, INTEGER Index
DECLARE INTEGER seeDebug in SEE32.DLL INTEGER Chan, INTEGER Index, STRING @Buffer, INTEGER BufLen

&& ? "SEEVER 3/27/2002"

Code = seeAttach(1, SEE_KEY_CODE)
if Code < 0
  ? "Cannot attach SEE (check key code)"
else
  * get SEE version number
  Version = seeStatistics(0, SEE_GET_VERSION)
  A = int(Version / 256)
  Version = Version - (256 * A)
  B = int(Version / 16)
  C = Version - (16 * B)
  select outlog
  append blank
  replace date with date() 
  replace time with time()
  replace Memo with "Open Mail Server"
  replace func with "O"  
  && ? "SEE Version: " + LTRIM(Str(A)) + "." + LTRIM(Str(B)) + "." + LTRIM(Str(C))
  * get build #
  Build = seeStatistics(0, SEE_GET_BUILD)
  && ? "SEE Build: " + LTRIM(Str(Build))
  * get registration
  Buffer = SPACE(50)
  Code = seeDebug(0, SEE_GET_REGISTRATION, @Buffer, 50)
  && ? "Registration: " + Left(Buffer,Code)
  && ?
  Code = seeRelease()
  replace result with "C"
  replace ddone with date()
  replace tdone with time()  
endif
return



